maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jimisola Laursen (JIRA)" <j...@codehaus.org>
Subject [jira] Commented: (MEV-413) Jaxen has unnecessary and unexpected dependencies (which cause problems with JDK 1.5)
Date Wed, 30 Aug 2006 16:03:48 GMT
    [ http://jira.codehaus.org/browse/MEV-413?page=comments#action_73678 ] 
            
Jimisola Laursen commented on MEV-413:
--------------------------------------

I've already filed an enhancement request (JAXEN-151).

Like I wrote in my previous comment I haven't seen any signs of life from them yet.

> Jaxen has unnecessary and unexpected dependencies (which cause problems with JDK 1.5)
> -------------------------------------------------------------------------------------
>
>                 Key: MEV-413
>                 URL: http://jira.codehaus.org/browse/MEV-413
>             Project: Maven Evangelism
>          Issue Type: Bug
>          Components: Dependencies
>            Reporter: Jimisola Laursen
>         Assigned To: Carlos Sanchez
>
> The pom (http://www.ibiblio.org/maven2/jaxen/jaxen/1.1-beta-9/jaxen-1.1-beta-9.pom) has
dependencies on domj, jdom, xom, xerces:xercesImpl and xerces:xmlParserAPIs (see below).
> I can't see why any of these dependencies are necessary - especially not the dependency
on xerces. A slimmed down verson of Xerces is included with JDK 1.5 and adding an addition
Xerces in the classpath caused some major headache.  JDK 1.5 or not, I have the exclude all
the dependencies that Jaxen 1.1-beta-9 has.
>   <dependencies>
>     <dependency>
>       <groupId>dom4j</groupId>
>       <artifactId>dom4j</artifactId>
>       <version>1.6.1</version>
>     </dependency>
>     <dependency>
>       <groupId>jdom</groupId>
>       <artifactId>jdom</artifactId>
>       <version>1.0</version>
>     </dependency>
>     <dependency>
>       <groupId>xerces</groupId>
>       <artifactId>xmlParserAPIs</artifactId>
>       <version>2.6.2</version>
>     </dependency>
>     <dependency>
>       <groupId>xerces</groupId>
>       <artifactId>xercesImpl</artifactId>
>       <version>2.6.2</version>
>     </dependency>
>     <dependency>
>       <groupId>xom</groupId>
>       <artifactId>xom</artifactId>
>       <version>1.0b3</version>
>     </dependency>
>   </dependencies>

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message